import BasicLayout from '../layouts/BasicLayout';
import UserLayout from '../layouts/UserLayout';
import BootPage from '../pages/bootpage';
import Login from '../pages/user/login';

export const dyRoutes = routes => {
  const dyRoutes = routes;
  return {
    routes: [
      {
        path: '/civbase/user',
        component: UserLayout,
        routes: [
          {
            name: 'login',
            path: '/civbase/user/login',
            component: Login,
          },
        ],
      },
      {
        path: '/civbase/industry',
        component: BootPage,
      },
      {
        path: '/civbase',
        component: BasicLayout,
        routes: [...dyRoutes],
      },
    ],
  };
};
